//
//  The BUTTONMENU CLASS
//
// isSearch() - return boolean whether this button menu is the search dropdown.
// getTitle() - return the title or label for this menu.
// getImage() - return the image for this menu.
// getItems() - returns the array of MenuItems or Menus which this menu contains.
//
// $Id: class_ButtonMenu.js,v 1.7 2006/10/22 04:55:29 bkennelly Exp $

function ButtonMenu(title,raw)
{	
	this.title = title;	
    this.raw = raw;
    this.button = null;
    this.menu = null;
    this.menuid = null;
    this.parse(this.raw);
}

ButtonMenu.prototype.isSearch = function()
{
    if(this.button.type == null)
        return true;
    else
        return false;
}

ButtonMenu.prototype.getTitle = function()
{
    return this.button.getTitle();
}

ButtonMenu.prototype.getTooltip = function()
{
    return this.button.getTooltip();
}

ButtonMenu.prototype.getImage = function ()
{
    return this.button.getImage();
}

ButtonMenu.prototype.getLink = function()
{
    return this.button.getLink();
}

ButtonMenu.prototype.getItems = function()
{
    return this.menu.getItems();
}

ButtonMenu.prototype.parse = function(txt)
{
    // up to the first ^Y^V is the button part.
    // there should be an image, link in there...
    var butend = txt.indexOf("\x16");
    var buttonRaw = txt.substr(0,butend);
    
    var menuRaw = txt.substr(butend);
    var myButton = new Button(this.title,buttonRaw);

    //alert('ButtonMenu: \n'
    //      + 'Menu: ' + buttonRaw + '\n'
    //      + 'Menu: ' + menuRaw
    //     );
    
    
    var myMenu = new Menu(null, menuRaw, 1);

    this.menu = myMenu;
    this.button = myButton;
    this.menuid = this.button.menuid;
    
}

